## org.eclipse.datatools.sqltools.sql.reference
Interface IDatabase

    public interface IDatabase

Author:
  Li Huang

Field Summary
`static int` `STORES_LOWERCASE` stores identifiers in lower case
`static int` `STORES_MIXEDCASE` stores identifiers in mixed case
`static int` `STORES_UPPERCASE` stores identifiers in upper case

Method Summary
`java.lang.String` `getDatabaseType()`

Field Detail

### STORES_UPPERCASE

    static final int STORES_UPPERCASE

  stores identifiers in upper case

  See Also:
    Constant Field Values

### STORES_LOWERCASE

    static final int STORES_LOWERCASE

  stores identifiers in lower case

  See Also:
    Constant Field Values

### STORES_MIXEDCASE

    static final int STORES_MIXEDCASE

  stores identifiers in mixed case

  See Also:
    Constant Field Values

Method Detail

### getDatabaseType

    java.lang.String getDatabaseType()